Skip to main content
GET
Search Series

请求规范

  • 方法与路径: GET /apis/v1/fred/series/search
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/fred/series/search
  • exclude_tag_names: query; 可选
  • file_type: query; 可选
  • filter_value: query; 可选
  • filter_variable: query; 可选
  • limit: query; 可选
  • offset: query; 可选
  • order_by: query; 可选
  • realtime_end: query; 可选
  • realtime_start: query; 可选
  • search_text: query; 必填
  • search_type: query; 可选
  • sort_order: query; 可选
  • tag_names: query; 可选
  • Runtime 事实版本: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

公开参考价格:每次成功请求 $0.00001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 1e-05
  • 计费依据: fixed_success
  • 结算证据来源: request_snapshot

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

exclude_tag_names
string

A semicolon delimited list of tag names that series match none of. String, optional, no filtering by tags by default. Example value: 'discontinued;m1'. Filter results to series having neither tag 'discontinued' nor tag 'm1'. Parameter exclude_tag_names requires that parameter tag_names also be set to limit the number of matching series.

file_type
enum<string>
默认值:xml

A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.

可用选项:
xml,
json
filter_value
string

The value of the filter_variable attribute to filter results by. String, optional, no filter by default

filter_variable
enum<string>

The attribute to filter results by. One of the following strings: 'frequency', 'units', 'seasonal_adjustment'. optional, no filter by default

可用选项:
frequency,
units,
seasonal_adjustment
limit
integer
默认值:1000

The maximum number of results to return. integer between 1 and 1000, optional, default: 1000

必填范围: 1 <= x <= 1000
offset
integer
默认值:0

non-negative integer, optional, default: 0

必填范围: x >= 0
order_by
enum<string>

Order results by values of the specified attribute. One of the following strings: 'search_rank', 'series_id', 'title', 'units', 'frequency', 'seasonal_adjustment', 'realtime_start', 'realtime_end', 'last_updated', 'observation_start', 'observation_end', 'popularity', 'group_popularity'. optional, default: If the value of search_type is 'full_text' then the default value of order_by is 'search_rank'. If the value of search_type is 'series_id' then the default value of order_by is 'series_id'.

可用选项:
search_rank,
series_id,
title,
units,
frequency,
seasonal_adjustment,
realtime_start,
realtime_end,
last_updated,
observation_start,
observation_end,
popularity,
group_popularity
realtime_end
string<date>

The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

realtime_start
string<date>

The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

search_text
string
必填

The words to match against economic data series.

search_type
enum<string>
默认值:full_text

Determines the type of search to perform. One of the following strings: 'full_text', 'series_id'. 'full_text' searches series attributes title, units, frequency, and tags by parsing words into stems. This makes it possible for searches like 'Industry' to match series containing related words such as 'Industries'. Of course, you can search for multiple words like 'money' and 'stock'. Remember to url encode spaces (e.g. 'money%20stock'). 'series_id' performs a substring search on series IDs. Searching for 'ex' will find series containing 'ex' anywhere in a series ID. '' can be used to anchor searches and match 0 or more of any character. Searching for 'ex' will find series containing 'ex' at the beginning of a series ID. Searching for 'ex' will find series containing 'ex' at the end of a series ID. It's also possible to put an '' in the middle of a string. 'm*sl' finds any series starting with 'm' and ending with 'sl'. optional, default: full_text.

可用选项:
full_text,
series_id
sort_order
enum<string>

Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', 'desc'. optional, default: If order_by is equal to 'search_rank' or 'popularity', then the default value of sort_order is 'desc'. Otherwise, the default sort order is 'asc'.

可用选项:
asc,
desc
tag_names
string

A semicolon delimited list of tag names that series match all of. String, optional, no filtering by tags by default Example value: 'usa;m2'. Filter results to series having both tags 'usa' and 'm2'. See the related request fred/tags .

响应

成功响应